<?php

  class pz_data_groupes extends pz_data
  {

    # ----------------------------------------------------------------------------------------
    #                                                                                  groupes
    #

    function groupes($id_user = null, $start = 0, $alpha = null)
    { $sgbd = $this->sgbd();
      $env = $this->env();
      $groupes = array("list" => array(), "total" => 0);
      if(isset($id_user))
      { if($rst = $sgbd->open_data("groupes"))
        { while($v_rst = $sgbd->fetch_data($rst))
          { if(isset($v_rst))
            { if(!isset($alpha) || (isset($v_rst["nom"]) && substr($v_rst["nom"], 0, 1) == $alpha))
              { if(!isset($id_user) || (isset($v_rst["id_user"]) && $v_rst["id_user"] == $id_user))
                { $groupes["total"]++;
                  if(!$env->config("max_list") || ($groupes["total"] > $start && $groupes["total"] < ($start + $env->config("max_list"))))
                  { $groupes["list"][$v_rst["id"]] = $v_rst;
                  }
                }
              }
            }
            else
            { $groupes = false;
              break;
            }
          }
          $sgbd->close_data($rst);
        }
        else $groupes = false;
      }
      return $groupes;
    }

    function groupe($id)
    { $sgbd = $this->sgbd();
      return $sgbd->get_data("groupes", $id);
    }

    function groupe_exists($nom)
    { $sgbd = $this->sgbd();
      $EXISTS = 0;
      if($rst = $sgbd->open_data("groupes"))
      { while($v_rst = $sgbd->fetch_data($rst))
        { if(isset($v_rst))
          { if(isset($v_rst["nom"]) && $v_rst["nom"] == $nom)
            { $EXISTS++;
            }
          }
          else
          { $EXISTS = false;
            break;
          }
        }
        $sgbd->close_data($rst);
      }
      return $EXISTS;
    }

    function add_groupe($id_user, $nom, $description)
    { $sgbd = $this->sgbd();
      return $sgbd->add_data
      ( "groupes",
        array
        ( "id_user" => $id_user,
          "nom" => $nom,
          "description" => $description
        )
      );
    }

    function set_groupe($id, $nom, $description)
    { if(($groupe = $this->groupe($id)) !== false)
      { $sgbd = $this->sgbd();
        return $sgbd->set_data
        ( "groupes",
          $id,
          array
          ( "id_user" => $groupe["id_user"],
            "nom" => $nom,
            "description" => $description
          )
        );
      }
      return false;
    }

    function del_groupe($id)
    { $sgbd = $this->sgbd();
      if($sgbd->del_data("groupes", $id)) return true;
      return false;
    }

  }

?>