<?php

  # FICHIER A ADAPTER EN FONCTION DE VOTRE INSTALLATION

  # pour une installation par defaut (qui conserve la structure
  # du dossier "partazic", et dont les fichiers sont installes
  # a la racine du site, modifiez uniquement les parametres
  # de connection aux donnees.

  # si vous installez les fichiers du site dans un sous-dossier
  # de votre site, précisez ce dossier dans $PATHES["web"]
  # dans la section "chemins" ci-dessous.

  # --------------------------------------------------------------
  #                                                base de donnees
  # "mysql", "sqlite" ou "xml"

  # --------------------------- MYSQL

/*
  $bdd["sgbd"] = "mysql";
  $bdd["host"] = "localhost";
  $bdd["base"] = "partazic_base";
  $bdd["table_prefix"] = "pz_";
  $bdd["user"] = "mysql_user";
  $bdd["password"] = "mysql_pass";
*/

  # --------------------------- SQLITE

/*
  $bdd["sgbd"] = "sqlite";
  $bdd["host"] = "partazic/content/data/sqlite";
  $bdd["base"] = "partazic_base.sqlite";
  $bdd["table_prefix"] = "pz_";
*/

  # --------------------------- XML


  $bdd["sgbd"] = "xml";
  $bdd["host"] = "partazic/content/data/xml";
  $bdd["base"] = "partazic";
  $bdd["table_prefix"] = "pz_";


  # --------------------------------------------------------------
  #                                                        chemins
  #

  # chemin web du site (dossier d'execution du script d'appel)
  # absolu a partir du "document root"
  $PATHES["web"] = "/";



  # si vous n'avez pas changé le nom ou la structure du dossier
  # "partazic", les chemins ci-dessous ne devraient pas etre
  # modifies


  # chemin de l'application
  # relatif au dossier d'execution du script
  $PATHES["app"] = "partazic/app";

  # nom du dossier (sans chemin) de l'application courante
  $PATHES["current_app"] = "local";

  # nom du dossier (sans chemin) de l'application par defaut
  $PATHES["core_app"] = "core";

  # dossier des librairies
  # relatif au dossier d'execution du script
  $PATHES["libs"] = "partazic/libs";

  # dossier des uploads
  # relatif au dossier d'execution du script
  $PATHES["content"] = "partazic/content";

  # dossier des templates
  # relatif au dossier d'execution du script
  $PATHES["out"] = "partazic/out";

  # nom du dossier (sans chemin) du template courant
  $PATHES["current_out"] = "local";

  # nom du dossier (sans chemin) du template par defaut
  $PATHES["dist_out"] = "dist";

  # --------------------------------------------------------------
  #                                                  configuration
  #

  $CONFIG["version"] = "partazic 0.4";

?>